Name:             libsearpc
Version:           3.0.7
Release:        1%{?dist}
Summary:        Searpc is a simple C language RPC framework based on GObject system.

%global commit 13f49676cc5444d3a9e9397310f7d322fb7d887f

License:        GPLv3
URL:              https://github.com/haiwen/%{name}
Source0:       https://github.com/haiwen/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  jansson-devel >= 2.2.1
BuildRequires:  python-simplejson
BuildRequires:  pygobject2 >= 2.26.0

Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glib2 >= 2.26.0
Requires:       jansson >= 2.2.1


%description
Searpc is a simple C language RPC framework based on GObject system. 
Searpc handles the serialization/deserialization part of RPC, the transport part 
is left to users.



%package      devel
Summary:        Development files for %{name}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{commit}
sed -i -e /\(DESTDIR\)/d libsearpc.pc.in


%build
./autogen.sh
%configure --disable-static --disable-compile-demo
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README.markdown
%{_libdir}/*.so.*
%{_bindir}/searpc-codegen.py
%{python_sitearch}/pysearpc/

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Nov 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.0-1
- updated for seafile 5.0.0
* Fri May 15 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.1-1
- updated for seafile 4.2.1
* Tue May 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.0-1
- updated for seafile 4.2.0
* Tue Dec 16 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.4-6
- updated for seafile 4.0.4
* Sat Dec 06 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 1.2.2-4
- updated for seafile 4.0.3
* Fri Sep 19 2014 Philipp Kerling <pkerling@casix.org> - 1.2.2-3
- updated for seafile 3.1.6
* Thu Aug 07 2014 Philipp Kerling <pkerling@casix.org> - 1.2.2-2
- updated for seafile 3.1.4
* Mon Mar 10 2014 Philipp Kerling <pkerling@casix.org> - 1.2.2-1
- updated for seafile 2.1.2
* Thu Jan 16 2014 Philipp Kerling <pkerling@casix.org> - 1.2.1-1
- updated for seafile 2.1.1
* Sat Nov 16 2013 Philipp Kerling <pkerling@casix.org> - 1.1.0-4
- updated for seafile 2.0.8
* Sun Aug 11 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de>
- updated for seafile 1.7.1.1
* Tue Jun 18 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de> - 1.1.0-2
- updated for seafile 1.7.0
* Thu May 30 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de> - 1.1.0-1
- added description from github
- moved to 1.1.0 from seafile 1.6.1
* Mon Jan 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial package
